FAXQUIT(8C)

NAME
faxquit - tell a HylaFAX server to terminate

SYNOPSIS
/usr/sbin/faxquit [ -q queue-dir ] [ modem ]

DESCRIPTION
faxquit sends a message to a HylaFAX server process telling it to quit operation.

If modem is specified, the faxgetty(8C) process servicing the specified modem is notified. modem can either be the name (typically the last component of the terminal port the modem is attached to), or the full name of the associated FIFO named pipe file, e.g. ``FIFO.ttym2''.

If no modem is specified, faxquit will send the request to the ``FIFO'' named pipe file causing the HylaFAX queue manager process to terminate.

Note that server processes may not terminate immediately. In particular the faxq process will not exit until any active jobs are completed; this is necessary for proper operation (faxq must wait for child processes to terminate so that it can collect their exit status and update the state of the jobs being operated on).

OPTIONS

-q dir
    Use a spooling area other than /var/spool/hylafax.

FILES
/var/spool/hylafax	default spooling area
/var/spool/hylafax/FIFO	fifo for contacting faxq

Consult hylafax-server(5F) for a complete discussion of the structure and content of the spooling area.

SEE ALSO
hylafax-server(5F), faxq(8C), faxgetty(8C)